[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSMap.Remove

Remove a key/value pair from the map.

## Declaration

Source position: fgl.pp line 280

`public function TFPSMap.Remove(`
`AKey: Pointer`
`):Integer;`

## Arguments

`AKey` |  | Key to remove from the map.

## Function result

Index of AKey prior to removal, or -1 if not found.

## Description

Remove removes the key/value pair pointing to by AKey from the map. It returns the index of Akey prior to removal from the list. If AKey was not found, -1 is returned.

## Errors

None.

## See also

TFPSList.Delete |  | Delete an item from the list
TFPSMap.IndexOf |  | Index of key pointed to by AKey